let AutoUpload = () => {
  $("#file_upload").change((e) => {
      var ten_megabyte_max_upload = 10000000;
      $("#error_container_txt").empty();
      if (e.currentTarget.files[0].size < ten_megabyte_max_upload) {
        // $('#spinner-panel').show();
        $('#spinner-panel').css('width', '100%'); // Workaround for Safari issue
  		  e.currentTarget.form.submit();
  	  } else {
  		  $("#error_container_txt").append('<span class="error_message centered_error" id="error_message_txt">The system configuration you have uploaded is too large. Try splitting your design into two separate text files and run the tool twice.</span>');
  	  }
  });

  $("#dxf_upload").change((e) => {
      var ten_megabyte_max_upload = 10000000;
      $("#error_container_dxf").empty();
      if (e.currentTarget.files[0].size < ten_megabyte_max_upload) {
        // $('#spinner-panel').show();
        $('#spinner-panel').css('width', '100%'); // Workaround for Safari issue
  		  e.currentTarget.form.submit();
  	  } else {
  		  $("#error_container_dxf").append('<span class="error_message centered_error" id="error_message_dxf">The system configuration you have uploaded is too large. Try splitting your design into two separate text files and run the tool twice.</span>');
  	  }
  });
};

export default AutoUpload;
